Core - Bug # 62986

Epic # 58282 (Accepted): Workspaces Workpackage #2
Story # 58284 (New): Bug fixes & Behaviour

Bug # 60343 (Resolved): Metadata does not recognize workspace

Status: Resolved Priority: Must have
Author: Helmut Hummel Category: Workspaces
Created: 2014-11-15 Assigned To:

Updated: 2014-11-30 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: No workspace preview for sys_file_metadata

Description

If a sys_file_metadata is not translated, no workspace changes are visible during preview.

Associated revisions

Revision b8928ff0 - 2014-11-30 22:06 - Helmut Hummel

[BUGFIX] Do workspace overlay for not translated file meta data

Previously the FileMetadataOverlayAspect only did a version/ workspace overlay
for translated metadata records, which meant that changes to

default language meta data records did not show up during preview.

Fix this by properly overlaying also the default language record.

Resolves: #62986

Releases: 6.2, master

Change-Id: 15b7b0f9ab20d5539107b6fd2e2872a8bd4003454
Reviewed-on: http:/review.typo3.0rg/34208

Reviewed-by: Alex Kellner <alexander.kellner@einpraegsam.net>

Tested-by: Alex Kellner <alexander.kellner@einpraegsam.net>

Reviewed-by: Georg Ringer <georg.ringer@gmail.com>

Tested-by: Georg Ringer <georg.ringer@gmail.com>

Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>

Tested-by: Helmut Hummel <helmut.hummel@typo3.org>

Revision 6b085ecb - 2014-12-01 00:14 - Helmut Hummel

[BUGFIX] Do workspace overlay for not translated file meta data

Previously the FileMetadataOverlayAspect only did a version/ workspace overlay
for translated metadata records, which meant that changes to

default language meta data records did not show up during preview.

Fix this by properly overlaying also the default language record.
Resolves: #62986

Releases: 6.2, master

Change-Id: 15b7b0f9ab20d5539107b6fd2e2872a8bd4003454
Reviewed-on: http://review.typo3.0rg/34832

Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>

Tested-by: Helmut Hummel <helmut.hummel@typo3.org>

History

#1 - 2014-11-15 15:11 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/34208

#2 - 2014-11-15 16:59 - Helmut Hummel
- Parent task set to #60343

#3 - 2014-11-30 22:07 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0org/34832

#4 - 2014-11-30 22:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b8928ff0aad6ecaeb33120cd029a72e58e9952fd.
